This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 245335 - Wrong init script
Wrong init script
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: tog-pegasus (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Vitezslav Crhonek
: Reopened
Depends On:
Blocks: 237789 245337 245339
  Show dependency treegraph
 
Reported: 2007-06-22 10:41 EDT by Michal Marciniszyn
Modified: 2014-02-10 18:03 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007-0522
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 11:48:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Marciniszyn 2007-06-22 10:41:14 EDT
Description of problem:
The tog-pegasus init script returns some incorrect error codes and some parts of
it prevent the correct status command call. 
if [ ! -x $CIMSERVER_BIN ]; then
    echo -n "tog-pegasus $1: $CIMSERVER_BIN not found or not executable.";
    failure;
    exit 1;
fi;
this code should appear in start function section (not before that, as it
prevents status command call) and could be more specific in error code (as 1 is
general error).
Same with this:
        echo "Usage: $0 {start|stop|status|restart|reload|force-reload|try-restart}"
        exit 1
core 3 would be more appropriate.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd

This bug is tracked by 237789.
Comment 1 RHEL Product and Program Management 2007-06-22 10:43:46 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Radek Vokal 2007-07-12 06:49:47 EDT
The errata for 5.1 was already issued. This is low priority issue, thus dev_ack-
for now, feel free to move it to 5.2.
Comment 3 RHEL Product and Program Management 2007-07-12 06:51:15 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request. 
Comment 4 Radek Vokal 2007-07-17 04:13:21 EDT
Resurrection of devel_ack - we're doing another tog-paegasus respin, this one
will get in.
Comment 8 errata-xmlrpc 2007-11-07 11:48:12 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0522.html

Note You need to log in before you can comment on or make changes to this bug.